﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_565996_TimeBarSparkLine_Sync
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //all declarations related to timebar1
            var list1 = new List<SomeInfo>();
            var time1 = DateTime.Now;
            Random r = new Random();
            for (int i = 0; i < 10; i++)
            {
                list1.Add(new SomeInfo() { Date = time1, Val = r.Next(1,10) });
                time1 = time1.AddHours(1);
            }
            sparkLine1.ItemsSource = list1;
            timeBar1.PeriodStart = list1.First().Date.AddDays(-0.1);
            timeBar1.PeriodEnd = list1.Last().Date.AddDays(0.1);

            //all declarations related to timebar2
            var list2 = new List<SomeInfo>();
            var list3 = new List<SomeInfo>();
            var time2 = new DateTime(2012, 7, 19, 10, 0, 0);

            list2.Add(new SomeInfo() { Date = time2, Val = r.Next(5, 10) });
            list2.Add(new SomeInfo() { Date = time2.AddHours(1), Val = r.Next(1, 5) });
            list2.Add(new SomeInfo() { Date = time2.AddHours(2), Val = r.Next(1, 5) });
            list2.Add(new SomeInfo() { Date = time2.AddHours(3), Val = r.Next(1, 5) });
            list2.Add(new SomeInfo() { Date = time2.AddHours(4), Val = r.Next(1, 5) });
            list2.Add(new SomeInfo() { Date = time2.AddHours(5), Val = r.Next(1, 5) });

            list3.Add(new SomeInfo() { Date = time2.AddHours(1), Val = r.Next(1, 5) });
            list3.Add(new SomeInfo() { Date = time2.AddHours(2), Val = r.Next(1, 5) });
            list3.Add(new SomeInfo() { Date = time2.AddHours(3), Val = r.Next(1, 5) });
            list3.Add(new SomeInfo() { Date = time2.AddHours(4), Val = r.Next(1, 5) });
            list3.Add(new SomeInfo() { Date = time2.AddHours(5), Val = r.Next(1, 5) });
            list3.Add(new SomeInfo() { Date = time2.AddHours(6), Val = r.Next(1, 5) });

            sparkLine2.ItemsSource = list2;
            sparkLine3.ItemsSource = list3;
            
            timeBar2.PeriodStart = list2.First().Date.AddDays(-0.1);
            timeBar2.PeriodEnd = list3.Last().Date.AddDays(0.1);

            sparkLine2.AutoRange = false;
            sparkLine2.MinXValue = timeBar2.PeriodStart.Ticks;
            sparkLine2.MaxXValue = timeBar2.PeriodEnd.Ticks;

            sparkLine3.AutoRange = false;
            sparkLine3.MinXValue = timeBar2.PeriodStart.Ticks;
            sparkLine3.MaxXValue = timeBar2.PeriodEnd.Ticks;
        }
    }

    public class SomeInfo
    {
        public DateTime Date { get; set; }
        public int Val { get; set; }
    }
}
